> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/licenses/{licenseId}/cancel
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/licenses/{licenseId}/cancel:
    post:
      tags:
        - Workspace Licenses
      summary: Cancel
      operationId: WorkspaceLicensesController_cancel_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: licenseId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceLicenseResponseDto'
components:
  schemas:
    WorkspaceLicenseResponseDto:
      type: object
      properties:
        id:
          type: string
        status:
          enum:
            - active
            - offered
            - canceled
          type: string
        provisioningSource:
          enum:
            - signup
            - staff
          type: string
        firstEnabledAt:
          type: string
          nullable: true
        package:
          $ref: '#/components/schemas/WorkspaceLicensePackageDto'
        version:
          type: number
        seatCount:
          type: number
        teamCount:
          type: number
        purchasedSeats:
          type: number
          nullable: true
      required:
        - id
        - status
        - provisioningSource
        - firstEnabledAt
        - package
        - version
    WorkspaceLicensePackageDto:
      type: object
      properties:
        includedModules:
          type: array
          items:
            $ref: '#/components/schemas/IncludedModuleDto'
        requiresCore:
          type: boolean
        key:
          type: string
        displayName:
          type: string
        description:
          type: string
        sortOrder:
          type: number
        includedFeatures:
          type: array
          items:
            $ref: '#/components/schemas/IncludedFeatureDto'
      required:
        - includedModules
        - requiresCore
        - key
        - displayName
        - description
        - sortOrder
        - includedFeatures
    IncludedModuleDto:
      type: object
      properties:
        key:
          type: string
        label:
          type: string
        ready:
          type: boolean
        requiresCore:
          type: boolean
      required:
        - key
        - label
        - ready
        - requiresCore
    IncludedFeatureDto:
      type: object
      properties:
        key:
          type: string
        label:
          type: string
      required:
        - key
        - label

````